GH-PROJECT-FIELD-CREATE(1)

NAME
gh-project-field-create - Create a field in a project

SYNOPSIS
gh project field-create [<number>] [flags]

OPTIONS

--data-type <string>
    DataType of the new field.: {TEXT|SINGLE_SELECT|DATE|NUMBER}

--format <string>
    Output format: {json}

-q, --jq <expression>
    Filter JSON output using a jq expression

--name <string>
    Name of the new field

--owner <string>
    Login of the owner. Use "@me" for the current user.

--single-select-options <strings>
    Options for SINGLE_SELECT data type

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Create a field in the current user's project "1"
    $ gh project field-create 1 --owner "@me" --name "new field" --data-type "text"
    # Create a field with three options to select from for owner monalisa
    $ gh project field-create 1 --owner monalisa --name "new field" --data-type "SINGLE_SELECT" --single-select-options "one,two,three"

SEE ALSO
gh-project(1)